boost::geometry::select_calculation_type< Geometry1, Geometry2, CalculationType > Struct Template Reference

Meta-function selecting the "calculation" type. More...

List of all members.

## Public Types

typedef boost::mpl::if_ < boost::is_void < CalculationType >, typename select_coordinate_type < Geometry1, Geometry2 >::type, CalculationType >::type | type

## Detailed Description

### template<typename Geometry1, typename Geometry2, typename CalculationType>
struct boost::geometry::select_calculation_type< Geometry1, Geometry2, CalculationType >

Meta-function selecting the "calculation" type.

Based on two input geometry types, and an input calculation type, (which defaults to void in the calling function), this meta-function selects the most appropriate:

- if calculation type is specified, that one is used,
- if it is void, the most precise of the two points is used

## Member Typedef Documentation

template<typename Geometry1, typename Geometry2, typename CalculationType>

typedef boost::mpl::if_< boost::is_void<CalculationType>, typename select_coordinate_type < Geometry1, Geometry2 >::type, CalculationType >::type boost::geometry::select_calculation_type< Geometry1, Geometry2, CalculationType >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK